<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- $Id: struts-config.xml,v 1.24.2.3 2004/02/09 09:29:41 sivakumarv Exp $ -->
<!DOCTYPE struts-config PUBLIC
       "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
       "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">

<struts-config>

<form-beans>
	<form-bean name="PasswordExpiryFormBean" type="org.apache.struts.validator.DynaValidatorForm">
		<form-property name="newpassword" type="java.lang.String"/>
		<form-property name="confirmpassword" type="java.lang.String"/>
		<form-property name="pwdExpiryStatus" type="java.lang.String"/>
		<form-property name="days" type="java.lang.String"/>
	</form-bean>
</form-beans>


<action-mappings>

  <action path="/404Error" forward = "/webclient/common/jsp/404error.jsp" />

  <action path="/DateInput" type="com.adventnet.nms.webclient.common.DateInputAction">
		<forward name="datecomponent" path="/webclient/common/jsp/DateInput.jsp"/>
  </action>

  <action path="/Exception" type="com.adventnet.nms.webclient.common.ExceptionAction">
		<forward name="errorPage" path="/webclient/common/jsp/ErrorPage.jsp"/>
  </action>

  <action path="/jsp/Login"
	  name="LoginFormBean"
          type="com.adventnet.nms.webclient.login.LoginAction" 
  	  input="/webclient/common/jsp/Login.jsp">
	  <forward name="login" path="/mainLayout.do" redirect="false"/>
	  <forward name="passwordexpirypage" path="/webclient/common/jsp/passwordExpiry.jsp"/>
	  <forward name="appletclient" path="/jsp/index.jsp"/>
  </action>

  <action path="/mainLayout"
          type="com.adventnet.nms.webclient.common.MainLayoutAction">
          <forward name="mainPage" path="mainlayout" />
  </action>

  <action path="/PasswordExpiry" 
          name="PasswordExpiryFormBean"
	  scope="request"
	  validate="true"
	  input="/webclient/common/jsp/passwordExpiry.jsp" 
          type="com.adventnet.nms.webclient.login.PasswordAction">
 	  <forward name="success" path="/mainLayout.do"/>
  </action>

  <action path="/Logout" 
          type="com.adventnet.nms.webclient.login.LogoutAction">
	  <forward name="success" path="/webclient/common/jsp/Login.jsp"/>
  </action>

  <action path="/MibBrowser"
          type="org.apache.struts.actions.ForwardAction"
          parameter="mibbrowserdef">
  </action>

  <action path="/LoginPage" 
          type="com.adventnet.nms.webclient.common.BrowserSupportAction">
          <forward name="supported" path="/webclient/common/jsp/Login.jsp"/>
          <forward name="notsupported" path="/webclient/common/jsp/supportedBrowser.jsp"/>
  </action>

  <action path="/preLogin" forward="/webclient/common/jsp/preLogin.jsp"/>
  <action path="/jsp/WebStart" forward="/jsp/WebStart.jsp"/>
  <action path="/skinSelection" forward="/webclient/common/jsp/skinSelection.jsp"/>
  <action path="/instantFeedback" forward="/webclient/common/jsp/instantFeedback.jsp"/>
  <action path="/sendFeedback" forward="/webclient/common/jsp/mailer.jsp"/>
  <action path="/feedbackThanks" forward="/webclient/common/jsp/feedbackThanks.jsp"/>

  <action path="/preferencesSavedResponse"
          type="com.adventnet.nms.webclient.util.SavePreferencesAction">
	  <forward name="success" path="/webclient/common/jsp/setSelectedSkin.jsp"/>
  </action>


</action-mappings>

  <plug-in className="org.apache.struts.validator.ValidatorPlugIn">
           <set-property property="pathnames" value="/webclient/common/conf/validator-rules.xml,/webclient/common/conf/validation.xml"/>
  </plug-in>

  <plug-in className="org.apache.struts.tiles.TilesPlugin" >
           <set-property property="definitions-config" value="/webclient/common/conf/tiles-defns.xml" />
           <set-property property="moduleAware" value="true" />
  </plug-in>

</struts-config>
